## org.irisa.genouest.logol
Class HashMapCounter

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap
              org.irisa.genouest.logol.HashMapCounter

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map

    public class HashMapCounter

extends java.util.HashMap

Hashmap of counters. If counter is not defined in hashmap, add it in list and initialize it to id*100

Author:
  osallou
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

Constructor Summary
`HashMapCounter()`

Method Summary
`java.lang.Object` `clone()`
`java.lang.Object` `get(java.lang.Object obj)` Override of superclass method to init the hashmap if key is not set

Methods inherited from class java.util.HashMap
`clear, containsKey, containsValue, entrySet, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### HashMapCounter

    public HashMapCounter()

Method Detail

### get

    public java.lang.Object get(java.lang.Object obj)

  Override of superclass method to init the hashmap if key is not set

  Specified by:
    `get` in interface `java.util.Map`
  Overrides:
    `get` in class `java.util.HashMap`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.util.HashMap`